Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162298 - reiserfs module / kernel-unsupported missing - no warning given
Summary: reiserfs module / kernel-unsupported missing - no warning given
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 01:12 UTC by Graham Leggett
Modified: 2012-06-20 16:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:03:59 UTC


Attachments (Terms of Use)

Description Graham Leggett 2005-07-02 01:12:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
After upgrading the kernel to v2.6.9-5 as part of a remote upgrade from RHEL3 to RHEL4, it was possible to install this kernel on a system with reiserfs system partitions.

Only after the reboot was it discovered that Redhat was no longer making kernel-unsupported available, leaving the system in a corrupt state. The system is half way around the world, so fixing it is going to be interesting at 3am.

What Redhat should have done is built filesystem checks into the install scripts for the redhat kernel package to ensure that /, /etc and /usr are on supported filesystems.

It cannot be assumed that the user "just knows" that kernel modules had been arbitrarily removed from the package set. The lack of kernel-unsupported implied that it had been combined with kernel, not dropped altogether.


Version-Release number of selected component (if applicable):
kernel-2.6.9-5.EL

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:

Comment 1 Dave Jones 2005-07-05 21:09:06 UTC
reassigning to product management.


Comment 2 Randy Zagar 2005-10-25 23:35:55 UTC
Customers who have 100-TB storage systems attached to RHEL servers frequently
need to use filesystems designed specifically for HUGE filesystems.  EXT3 just
isn't appropriate for large multi-terabyte volumes.

Customers who can't even get "unsupported" modules for their filesystem of
choice will just go to CentOS or Suse.

Comment 3 Jiri Pallich 2012-06-20 16:03:59 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.